
/*mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
			SVGA256 GRAPHICS LIBRARY
 	     Copyright (C) 1993 by Orthware.   All rights reserved.
mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm*/

/****************************************************************************
/* S256DEMO.H	Header file for demo program that accompanies the SVGA Graphic
/*		Library. 
/***************************************************************************/
#ifndef S256DEMO_H
#define S256DEMO_H


#ifdef __cplusplus
  #define EXTERN extern "C"
#else
  #define EXTERN extern
#endif


/**********************************************
/* Color definitions used by demo program
/**********************************************/

#define SHADOW_CLR		16
#define INPUTFORE_CLR		110
#define INPUTBKG_CLR		92	
#define CURSOR_CLR		16
#define INFO_CLR		44	
#define MSGFILL_CLR		4
#define MSGTEXT_CLR		44
#define MENUBKG_CLR		125
#define BORDER_CLR		15
#define TEXT_CLR		44
#define RECTFILL_CLR		113
#define SUN_CLR			43
#define DEMOBKG_CLR		109	


/*************************************************
/* Stuff used by demomsgs.c and s256demo.c
/*************************************************/

#define MENU_MSG		0
#define PRESS_MSG		1
#define FILEERR_MSG		2
#define ALLOCERR_MSG		3
#define READ_MSG		4
#define MODE320x200_MSG		5

EXTERN int  centermsg(int msgno, int waitforkey);
EXTERN int  msg_stringindex(int msgno);
EXTERN void dispmsg(int msgno, int chc, int chr, int color);
EXTERN void getmsgsize(int msgno, int *stringct, int *msglength);
EXTERN int  enterstring(char *str, int chc, int chr, int maxlen,
			int acceptcode1, int acceptcode2,
			int acceptcode3, int acceptcode4);
EXTERN int  enterfloat(double *value, int wlen, int flen,
			double fmin, double fmax, int chc, int chr,
			int acceptcode1, int acceptcode2,
			int acceptcode3, int acceptcode4);
EXTERN int  enterdec(int *value, int length, int dmin,
			int dmax, int chc, int chr, int acceptcode1,
			int acceptcode2, int acceptcode3, int acceptcode4);
EXTERN void inputcursor(int chc, int chr, int color);
EXTERN char *floatstring(char *string, double value, int wlength,
			int flength, int format);
EXTERN void dispchar(int ch, int *chc, int *chr, int color);
EXTERN void dispstring(char *string, int *chc,
			int *chr, int color);

#endif
